import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class ShapeSeriesBaseDescription extends SeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private bu;
    get shapeMemberPath(): string;
    set shapeMemberPath(a: string);
    private bw;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private bx;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private bs;
    get shapeFilterResolution(): number;
    set shapeFilterResolution(a: number);
    private bv;
    get styleShapeRef(): string;
    set styleShapeRef(a: string);
}
